diff options
Diffstat (limited to 'meta')
-rw-r--r-- | meta/classes/autotools.bbclass | 4 | ||||
-rw-r--r-- | meta/classes/kernel-yocto.bbclass | 16 | ||||
-rw-r--r-- | meta/classes/scons.bbclass | 4 | ||||
-rw-r--r-- | meta/recipes-extended/groff/groff_1.22.3.bb | 2 |
4 files changed, 13 insertions, 13 deletions
diff --git a/meta/classes/autotools.bbclass b/meta/classes/autotools.bbclass index 454dcb669f..6f514294c4 100644 --- a/meta/classes/autotools.bbclass +++ b/meta/classes/autotools.bbclass | |||
@@ -87,7 +87,7 @@ oe_runconf () { | |||
87 | if [ "$?" != "0" ]; then | 87 | if [ "$?" != "0" ]; then |
88 | echo "Configure failed. The contents of all config.log files follows to aid debugging" | 88 | echo "Configure failed. The contents of all config.log files follows to aid debugging" |
89 | find ${S} -ignore_readdir_race -name config.log -print -exec cat {} \; | 89 | find ${S} -ignore_readdir_race -name config.log -print -exec cat {} \; |
90 | bbfatal "oe_runconf failed" | 90 | die "oe_runconf failed" |
91 | fi | 91 | fi |
92 | set -e | 92 | set -e |
93 | else | 93 | else |
@@ -287,7 +287,7 @@ autotools_do_configure() { | |||
287 | intltoolize --copy --force --automake | 287 | intltoolize --copy --force --automake |
288 | fi | 288 | fi |
289 | bbnote Executing ACLOCAL=\"$ACLOCAL\" autoreconf --verbose --install --force ${EXTRA_AUTORECONF} $acpaths | 289 | bbnote Executing ACLOCAL=\"$ACLOCAL\" autoreconf --verbose --install --force ${EXTRA_AUTORECONF} $acpaths |
290 | ACLOCAL="$ACLOCAL" autoreconf -Wcross --verbose --install --force ${EXTRA_AUTORECONF} $acpaths || bbfatal "autoreconf execution failed." | 290 | ACLOCAL="$ACLOCAL" autoreconf -Wcross --verbose --install --force ${EXTRA_AUTORECONF} $acpaths || die "autoreconf execution failed." |
291 | cd $olddir | 291 | cd $olddir |
292 | fi | 292 | fi |
293 | if [ -e ${S}/configure ]; then | 293 | if [ -e ${S}/configure ]; then |
diff --git a/meta/classes/kernel-yocto.bbclass b/meta/classes/kernel-yocto.bbclass index fb14926fad..2f9a41f34d 100644 --- a/meta/classes/kernel-yocto.bbclass +++ b/meta/classes/kernel-yocto.bbclass | |||
@@ -120,7 +120,7 @@ do_kernel_metadata() { | |||
120 | 120 | ||
121 | createme -v -v ${createme_flags} ${ARCH} ${machine_branch} | 121 | createme -v -v ${createme_flags} ${ARCH} ${machine_branch} |
122 | if [ $? -ne 0 ]; then | 122 | if [ $? -ne 0 ]; then |
123 | bbfatal "Could not create ${machine_branch}" | 123 | bbfatal_log "Could not create ${machine_branch}" |
124 | fi | 124 | fi |
125 | 125 | ||
126 | sccs="$sccs ${@" ".join(find_sccs(d))}" | 126 | sccs="$sccs ${@" ".join(find_sccs(d))}" |
@@ -152,7 +152,7 @@ do_kernel_metadata() { | |||
152 | updateme ${updateme_flags} -DKDESC=${KMACHINE}:${LINUX_KERNEL_TYPE} \ | 152 | updateme ${updateme_flags} -DKDESC=${KMACHINE}:${LINUX_KERNEL_TYPE} \ |
153 | ${includes} ${addon_features} ${ARCH} ${KMACHINE} ${sccs} ${patches} | 153 | ${includes} ${addon_features} ${ARCH} ${KMACHINE} ${sccs} ${patches} |
154 | if [ $? -ne 0 ]; then | 154 | if [ $? -ne 0 ]; then |
155 | bbfatal "Could not update ${machine_branch}" | 155 | bbfatal_log "Could not update ${machine_branch}" |
156 | fi | 156 | fi |
157 | } | 157 | } |
158 | 158 | ||
@@ -163,7 +163,7 @@ do_patch() { | |||
163 | patchme ${KMACHINE} | 163 | patchme ${KMACHINE} |
164 | if [ $? -ne 0 ]; then | 164 | if [ $? -ne 0 ]; then |
165 | bberror "Could not apply patches for ${KMACHINE}." | 165 | bberror "Could not apply patches for ${KMACHINE}." |
166 | bbfatal "Patch failures can be resolved in the linux source directory ${S})" | 166 | bbfatal_log "Patch failures can be resolved in the linux source directory ${S})" |
167 | fi | 167 | fi |
168 | 168 | ||
169 | # check to see if the specified SRCREV is reachable from the final branch. | 169 | # check to see if the specified SRCREV is reachable from the final branch. |
@@ -253,7 +253,7 @@ do_kernel_checkout() { | |||
253 | if [ $? -eq 1 ]; then | 253 | if [ $? -eq 1 ]; then |
254 | bberror "The branch '${KMETA}' is required and was not found" | 254 | bberror "The branch '${KMETA}' is required and was not found" |
255 | bberror "Ensure that the SRC_URI points to a valid linux-yocto" | 255 | bberror "Ensure that the SRC_URI points to a valid linux-yocto" |
256 | bbfatal "kernel repository" | 256 | bbfatal_log "kernel repository" |
257 | fi | 257 | fi |
258 | fi | 258 | fi |
259 | 259 | ||
@@ -293,7 +293,7 @@ do_kernel_configme() { | |||
293 | PATH=${PATH}:${S}/scripts/util | 293 | PATH=${PATH}:${S}/scripts/util |
294 | configme ${configmeflags} --reconfig --output ${B} ${LINUX_KERNEL_TYPE} ${KMACHINE} | 294 | configme ${configmeflags} --reconfig --output ${B} ${LINUX_KERNEL_TYPE} ${KMACHINE} |
295 | if [ $? -ne 0 ]; then | 295 | if [ $? -ne 0 ]; then |
296 | bbfatal "Could not configure ${KMACHINE}-${LINUX_KERNEL_TYPE}" | 296 | bbfatal_log "Could not configure ${KMACHINE}-${LINUX_KERNEL_TYPE}" |
297 | fi | 297 | fi |
298 | 298 | ||
299 | echo "# Global settings from linux recipe" >> ${B}/.config | 299 | echo "# Global settings from linux recipe" >> ${B}/.config |
@@ -372,7 +372,7 @@ do_validate_branches() { | |||
372 | git cat-file -t ${machine_srcrev} > /dev/null | 372 | git cat-file -t ${machine_srcrev} > /dev/null |
373 | if [ $? -ne 0 ]; then | 373 | if [ $? -ne 0 ]; then |
374 | bberror "${machine_srcrev} is not a valid commit ID." | 374 | bberror "${machine_srcrev} is not a valid commit ID." |
375 | bbfatal "The kernel source tree may be out of sync" | 375 | bbfatal_log "The kernel source tree may be out of sync" |
376 | fi | 376 | fi |
377 | force_srcrev=${machine_srcrev} | 377 | force_srcrev=${machine_srcrev} |
378 | fi | 378 | fi |
@@ -387,14 +387,14 @@ do_validate_branches() { | |||
387 | git cat-file -t ${target_meta_head} > /dev/null | 387 | git cat-file -t ${target_meta_head} > /dev/null |
388 | if [ $? -ne 0 ]; then | 388 | if [ $? -ne 0 ]; then |
389 | bberror "${target_meta_head} is not a valid commit ID" | 389 | bberror "${target_meta_head} is not a valid commit ID" |
390 | bbfatal "The kernel source tree may be out of sync" | 390 | bbfatal_log "The kernel source tree may be out of sync" |
391 | fi | 391 | fi |
392 | if [ "$meta_head" != "$target_meta_head" ]; then | 392 | if [ "$meta_head" != "$target_meta_head" ]; then |
393 | bbnote "Setting branch ${KMETA} to ${target_meta_head}" | 393 | bbnote "Setting branch ${KMETA} to ${target_meta_head}" |
394 | git branch -m ${KMETA} ${KMETA}-orig | 394 | git branch -m ${KMETA} ${KMETA}-orig |
395 | git checkout -q -b ${KMETA} ${target_meta_head} | 395 | git checkout -q -b ${KMETA} ${target_meta_head} |
396 | if [ $? -ne 0 ];then | 396 | if [ $? -ne 0 ];then |
397 | bbfatal "Could not checkout ${KMETA} branch from known hash ${target_meta_head}" | 397 | bbfatal_log "Could not checkout ${KMETA} branch from known hash ${target_meta_head}" |
398 | fi | 398 | fi |
399 | fi | 399 | fi |
400 | fi | 400 | fi |
diff --git a/meta/classes/scons.bbclass b/meta/classes/scons.bbclass index fc0f26b17b..b8de822ff7 100644 --- a/meta/classes/scons.bbclass +++ b/meta/classes/scons.bbclass | |||
@@ -4,12 +4,12 @@ EXTRA_OESCONS ?= "" | |||
4 | 4 | ||
5 | scons_do_compile() { | 5 | scons_do_compile() { |
6 | ${STAGING_BINDIR_NATIVE}/scons ${PARALLEL_MAKE} PREFIX=${prefix} prefix=${prefix} ${EXTRA_OESCONS} || \ | 6 | ${STAGING_BINDIR_NATIVE}/scons ${PARALLEL_MAKE} PREFIX=${prefix} prefix=${prefix} ${EXTRA_OESCONS} || \ |
7 | bbfatal "scons build execution failed." | 7 | die "scons build execution failed." |
8 | } | 8 | } |
9 | 9 | ||
10 | scons_do_install() { | 10 | scons_do_install() { |
11 | ${STAGING_BINDIR_NATIVE}/scons PREFIX=${D}${prefix} prefix=${D}${prefix} install ${EXTRA_OESCONS}|| \ | 11 | ${STAGING_BINDIR_NATIVE}/scons PREFIX=${D}${prefix} prefix=${D}${prefix} install ${EXTRA_OESCONS}|| \ |
12 | bbfatal "scons install execution failed." | 12 | die "scons install execution failed." |
13 | } | 13 | } |
14 | 14 | ||
15 | EXPORT_FUNCTIONS do_compile do_install | 15 | EXPORT_FUNCTIONS do_compile do_install |
diff --git a/meta/recipes-extended/groff/groff_1.22.3.bb b/meta/recipes-extended/groff/groff_1.22.3.bb index e8cf5242a5..4bffa814ff 100644 --- a/meta/recipes-extended/groff/groff_1.22.3.bb +++ b/meta/recipes-extended/groff/groff_1.22.3.bb | |||
@@ -41,7 +41,7 @@ do_configure_append() { | |||
41 | # generate gnulib configure script | 41 | # generate gnulib configure script |
42 | olddir=`pwd` | 42 | olddir=`pwd` |
43 | cd ${S}/src/libs/gnulib/ | 43 | cd ${S}/src/libs/gnulib/ |
44 | ACLOCAL="$ACLOCAL" autoreconf -Wcross --verbose --install --force ${EXTRA_AUTORECONF} $acpaths || bbfatal "autoreconf execution failed." | 44 | ACLOCAL="$ACLOCAL" autoreconf -Wcross --verbose --install --force ${EXTRA_AUTORECONF} $acpaths || die "autoreconf execution failed." |
45 | cd ${olddir} | 45 | cd ${olddir} |
46 | } | 46 | } |
47 | 47 | ||